Bug 238766 - authconfig creates invalid krb5.conf
Summary: authconfig creates invalid krb5.conf
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: authconfig   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On: 380551
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-02 20:27 UTC by Jack Neely
Modified: 2008-05-21 14:29 UTC (History)
0 users

Fixed In Version: RHBA-2008-0375
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:29:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0375 normal SHIPPED_LIVE authconfig bug fix and enhancement update 2008-05-20 13:35:57 UTC

Description Jack Neely 2007-05-02 20:27:41 UTC
Description of problem:
Its possible to get authconfig to create a non-working /etc/krb5.conf.  It
parses correctly, but doesn't give the desired behavior.

I'm trying to use the following:

/usr/sbin/authconfig --kickstart --useshadow --enablemd5 \
   --enableldap --ldapserver ldap.ncsu.edu \
   --ldapbasedn dc=ncsu,dc=edu \
   --enablecache \
   --enablekrb5 --enablekrb5kdcdns --krb5realm EOS.NCSU.EDU

Specifically, I'm trying to use my SRV records to provide clients with the
location of my KDCs.  The above always includes the following under the [realms]
section.

 EOS.NCSU.EDU = {
  kdc = kerberos.example.com:88
  admin_server = kerberos.example.com:749
 }

Therefore, the kerberos utilities try to use kerberos.example.com as the KDC
even with dns_lookup_kdc = true set in the config file.  Without this realm
section the kerberos configuration works as desired.

Errors I'm getting:
kinit(v5): Cannot resolve network address for KDC in requested realm while
getting initial credentials

Version-Release number of selected component (if applicable):
authconfig-5.3.12-2.el5

Comment 1 Tomas Mraz 2007-07-18 13:28:58 UTC
As a workaround you can use "--krb5kdc ' ' --krb5adminserver ' '" parameters.

Comment 2 Tomas Mraz 2007-09-25 15:36:46 UTC
Fixed in rawhide authconfig-5.3.18-1.fc8.


Comment 3 RHEL Product and Program Management 2007-10-31 18:25:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Juha Tuomala 2008-02-05 13:11:05 UTC
note that this entry has spelling error in topic autconfig - which probably 
causes problems for people in searches.

Comment 10 errata-xmlrpc 2008-05-21 14:29:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0375.html



Note You need to log in before you can comment on or make changes to this bug.